GetRemoteFile
curl --request GET \
--url https://api.siftstack.com/api/v1/remote-files/{remoteFileId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/remote-files/{remoteFileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/remote-files/{remoteFileId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}RemoteFileService
GetRemoteFile
Retrieve a remote file.
GET
/
api
/
v1
/
remote-files
/
{remoteFileId}
GetRemoteFile
curl --request GET \
--url https://api.siftstack.com/api/v1/remote-files/{remoteFileId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/remote-files/{remoteFileId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/remote-files/{remoteFileId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
The response of a call to RemoteFileService_GetRemoteFile.
Show child attributes
Show child attributes
Was this page helpful?
⌘I